#!/bin/sh
set -e

dpkg-source --before-build `pwd`
dpkg-buildpackage -rfakeroot --target=pre-integration-test
export HOST=$(dpkg-architecture -qDEB_HOST_MULTIARCH)

if [ -d "/usr/lib/gsequencer" ]
then
    export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}/usr/lib/gsequencer
elif [ -d "/usr/lib/$HOST/gsequencer" ]
then
    export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}/usr/lib/$HOST/gsequencer
fi

make ags-parallel-integration-unit-test
